## org.apache.lucene.search.spell
Interface TermFreqPayloadIterator

All Superinterfaces:
  BytesRefIterator, TermFreqIterator

    public interface TermFreqPayloadIterator

extends TermFreqIterator

Interface for enumerating term,weight,payload triples; currently only `AnalyzingSuggester` and `FuzzySuggester` support payloads.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`TermFreqIterator.TermFreqIteratorWrapper`

Field Summary

Fields inherited from interface org.apache.lucene.util.BytesRefIterator
`EMPTY`

Method Summary
`BytesRef` `payload()` An arbitrary byte[] to record per suggestion.

Methods inherited from interface org.apache.lucene.search.spell.TermFreqIterator
`weight`

Methods inherited from interface org.apache.lucene.util.BytesRefIterator
`getComparator, next`

Method Detail

### payload

    BytesRef payload()

  An arbitrary byte[] to record per suggestion. See `Lookup.LookupResult.payload` to retrieve the payload for each suggestion.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.